AW: [postgis-users] Postgis updates w/ JUMP driver.

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

AW: [postgis-users] Postgis updates w/ JUMP driver.

"Weßling, Achim"
Hi,

I had the same problem. It looks like the driver uses allways -1 as SRID. I
fixed it, by hacking the source. I hardcoded the SRID I allways use. Not
perfect, but works for me ;-).

Greatings,
Achim

-----Ursprüngliche Nachricht-----
Von: [hidden email]
[mailto:[hidden email]]Im Auftrag von
Jason Leach
Gesendet am: Mittwoch, 23. Februar 2005 18:35
An: [hidden email]
Betreff: [postgis-users] Postgis updates w/ JUMP driver.

hi,

I posted this question here since this questions is about the jump
driver, made by the same people who make postgis.

When updating a dataset via Jump I  get the error, "violates check
constraint 'enforce_srid_the_geom'.  If I write some beanshell code to
iterate through the features all the SRIDs are all set to 0.  So my
guess is the drivers code is not setting the SRID when it queries the
database (PostGIS).

Does anyone have comments on this?  I have the SRID set properly in
the DB, but perhaps I am missing something?  Works fine if I to a
query and to srid(the_geom).

Using Jump (1.1.2 and 1.1.1) and postgisdriver (1.1.0 or 1.2.0).

Thanks,
Jason.
_______________________________________________
postgis-users mailing list
[hidden email]
http://postgis.refractions.net/mailman/listinfo/postgis-users

Reply | Threaded
Open this post in threaded view
|

Re: AW: [postgis-users] Postgis updates w/ JUMP driver.

Jason Leach
Can you tell me what file/line you had to hack?  I'll change mine
since we mostly work in the same SRID.

Thanks for the reply,
Jason.


On Thu, 24 Feb 2005 07:41:52 +0100, "Weßling, Achim"
<[hidden email]> wrote:

> Hi,
>
> I had the same problem. It looks like the driver uses allways -1 as SRID. I
> fixed it, by hacking the source. I hardcoded the SRID I allways use. Not
> perfect, but works for me ;-).
>
> Greatings,
> Achim
>
> -----Ursprüngliche Nachricht-----
> Von: [hidden email]
> [mailto:[hidden email]]Im Auftrag von
> Jason Leach
> Gesendet am: Mittwoch, 23. Februar 2005 18:35
> An: [hidden email]
> Betreff: [postgis-users] Postgis updates w/ JUMP driver.
>
> hi,
>
> I posted this question here since this questions is about the jump
> driver, made by the same people who make postgis.
>
> When updating a dataset via Jump I  get the error, "violates check
> constraint 'enforce_srid_the_geom'.  If I write some beanshell code to
> iterate through the features all the SRIDs are all set to 0.  So my
> guess is the drivers code is not setting the SRID when it queries the
> database (PostGIS).
>
> Does anyone have comments on this?  I have the SRID set properly in
> the DB, but perhaps I am missing something?  Works fine if I to a
> query and to srid(the_geom).
>
> Using Jump (1.1.2 and 1.1.1) and postgisdriver (1.1.0 or 1.2.0).
>
> Thanks,
> Jason.
> _______________________________________________
> postgis-users mailing list
> [hidden email]
> http://postgis.refractions.net/mailman/listinfo/postgis-users
>